m3browser(1)

NAME
m3browser - an HTTP server providing virtual Modula-3 web

SYNTAX
m3browser [-port p] [-workers n] [-refresh m] [-root x] [-dir y]...

DESCRIPTION
M3browser is an HTTP server that provides an on-line view of a virtual Modula-3 web. The server monitors a set of Modula-3 packages and renders the Modula-3 source as HTML on-the-fly.

While running m3browser periodically updates the file "m3browser.html" in the current working directory. This file should be used as the entry point into the virtual Modula-3 web.

OPTIONS
M3browser recognizes the following options:

-port p

    Listen on socket p for HTTP queries. (default: 3829)

-workers n

    Fork n Modula-3 threads to answer queries. (default: 3)

-refresh m

    Rescan the packages every m minutes. (default: 30)

-root x

    Scan each subdirectory of x for Modula-3 packages. (default: PKG_USE defined at Modula-3 installation time)

-dir y

    Scan directory y for derived information in each package. (default: DEFAULT_BUILD_DIR defined at Modula-3 installation time)

BUGS
There must be some.

FILES
m3browser.html - the root web page

AUTHOR OF DOCUMENTATION
Bill Kalsow

AUTHOR OF OBJECT
Bill Kalsow

Copyright (C) 1994, Digital Equipment Corporation.
Distributed only by permission.
Last modified on Mon Dec 5 08:41:13 PST 1994 by kalsow